# osg::BlendFunc Class Reference

Encapsulates OpenGL blend/transparency state. More...

Inheritance diagram for osg::BlendFunc:

[legend]
List of all members.

## Public Types

enum

BlendFuncMode {
DST_ALPHA = GL_DST_ALPHA, DST_COLOR = GL_DST_COLOR, ONE = GL_ONE, ONE_MINUS_DST_ALPHA = GL_ONE_MINUS_DST_ALPHA,
ONE_MINUS_DST_COLOR = GL_ONE_MINUS_DST_COLOR, ONE_MINUS_SRC_ALPHA = GL_ONE_MINUS_SRC_ALPHA, ONE_MINUS_SRC_COLOR = GL_ONE_MINUS_SRC_COLOR, SRC_ALPHA = GL_SRC_ALPHA,
SRC_ALPHA_SATURATE = GL_SRC_ALPHA_SATURATE, SRC_COLOR = GL_SRC_COLOR, CONSTANT_COLOR = GL_CONSTANT_COLOR, ONE_MINUS_CONSTANT_COLOR = GL_ONE_MINUS_CONSTANT_COLOR,
CONSTANT_ALPHA = GL_CONSTANT_ALPHA, ONE_MINUS_CONSTANT_ALPHA = GL_ONE_MINUS_CONSTANT_ALPHA, ZERO = GL_ZERO
}

## Public Member Functions

| BlendFunc ()
| BlendFunc (GLenum source, GLenum destination)
| BlendFunc (const BlendFunc &trans, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_StateAttribute (osg, BlendFunc, BLENDFUNC)
virtual int | compare (const StateAttribute &sa) const
| Return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.
virtual bool | getModeUsage (ModeUsage &usage) const
| Return the modes associated with this StateAttribute.
void | setFunction (GLenum source, GLenum destination)
void | setSource (GLenum source)
GLenum | getSource () const
void | setDestination (GLenum destination)
GLenum | getDestination () const
virtual void | apply (State &state) const
| apply the OpenGL state attributes.

## Protected Member Functions

virtual | ~BlendFunc ()

## Protected Attributes

GLenum | _source_factor
GLenum | _destination_factor

## Detailed Description

Encapsulates OpenGL blend/transparency state.

## Member Enumeration Documentation

enum osg::BlendFunc::BlendFuncMode

Enumeration values:

  DST_ALPHA |
  DST_COLOR |
  ONE |
  ONE_MINUS_DST_ALPHA |
  ONE_MINUS_DST_COLOR |
  ONE_MINUS_SRC_ALPHA |
  ONE_MINUS_SRC_COLOR |
  SRC_ALPHA |
  SRC_ALPHA_SATURATE |
  SRC_COLOR |
  CONSTANT_COLOR |
  ONE_MINUS_CONSTANT_COLOR |
  CONSTANT_ALPHA |
  ONE_MINUS_CONSTANT_ALPHA |
  ZERO |

## Constructor & Destructor Documentation

BlendFunc::BlendFunc | ( |  | ) |

BlendFunc::BlendFunc | ( | GLenum | source,
|  | GLenum | destination
| ) |

osg::BlendFunc::BlendFunc | ( | const BlendFunc & | trans,
|  | const CopyOp & | copyop = `CopyOp::SHALLOW_COPY`
| ) | `[inline]`

| Copy constructor using CopyOp to manage deep vs shallow copy.

BlendFunc::~BlendFunc | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void BlendFunc::apply | ( | State & | state | ) | const`[virtual]`

| apply the OpenGL state attributes. The global state for the current OpenGL context is passed in to allow the StateAttribute to obtain details on the the current context and state. Implements osg::StateAttribute.

virtual int osg::BlendFunc::compare | ( | const StateAttribute & | sa | ) | const`[inline, virtual]`

| Return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs. Implements osg::StateAttribute.

GLenum osg::BlendFunc::getDestination | ( |  | ) | const`[inline]`

virtual bool osg::BlendFunc::getModeUsage | ( | ModeUsage & | usage | ) | const`[inline, virtual]`

| Return the modes associated with this StateAttribute. Reimplemented from osg::StateAttribute.

GLenum osg::BlendFunc::getSource | ( |  | ) | const`[inline]`

osg::BlendFunc::META_StateAttribute | ( | osg | ,
|  | BlendFunc | ,
|  | BLENDFUNC |
| ) |

void osg::BlendFunc::setDestination | ( | GLenum | destination | ) | `[inline]`

void osg::BlendFunc::setFunction | ( | GLenum | source,
|  | GLenum | destination
| ) | `[inline]`

void osg::BlendFunc::setSource | ( | GLenum | source | ) | `[inline]`

## Member Data Documentation

GLenum osg::BlendFunc::_destination_factor `[protected]`

GLenum osg::BlendFunc::_source_factor `[protected]`

The documentation for this class was generated from the following files:

- BlendFunc
- BlendFunc.cpp